Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Namespaces
NumericRangeQuery.h File Reference
`#include "MultiTermQuery.h"`
`#include "FilteredTermEnum.h"`
`#include "NumericUtils.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::NumericRangeQuery
| A Query that matches numeric values within a specified range. To use this, you must first index the numeric values using NumericField (expert: NumericTokenStream). If your terms are instead textual, you should use TermRangeQuery. NumericRangeFilter is the filter equivalent of this query. More...

## Namespaces

| Lucene

clucene.sourceforge.net